Last Comment Bug 1256822 - [ESLint] Fix ESLint issues in devtools/client/webconsole/test/browser_webconsole_bug_580001_closing_after_completion.js
: [ESLint] Fix ESLint issues in devtools/client/webconsole/test/browser_webcons...
Status: RESOLVED FIXED
[btpp-backlog][fixed by bug 1271084]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools: Console (show other bugs)
: unspecified
: Unspecified Unspecified
P3 normal (vote)
: Firefox 49
Assigned To: J. Ryan Stinnett [:jryans] (use ni?)
:
: (Unavailable until Apr 3) [:bgrins]
Mentors: Jason Laster [:jlast]
Lin Clark [:linclark]
Depends on: 1271084
Blocks: 1256948
  Show dependency treegraph
 
Reported: 2016-03-15 12:15 PDT by Lin Clark [:linclark]
Modified: 2016-06-23 12:53 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
0001-Bug-1256822-ESLint-Fix-ESLint-issues-in-devtools-cli.patch (1.03 KB, patch)
2016-04-30 07:38 PDT, Fabien
lclark: review+
Details | Diff | Splinter Review

Description User image Lin Clark [:linclark] 2016-03-15 12:15:21 PDT
If you haven’t contributed to Firefox before, follow the steps here to set up your environment: https://developer.mozilla.org/en-US/docs/Tools/Contributing#Getting_set_up

Then, automatically configure ESLint to work with the Firefox specific rules by following the instructions here: https://wiki.mozilla.org/DevTools/CodingStandards

Then you can see the issues that need to be fixed by running

> eslint --no-ignore devtools/client/webconsole/test/browser_webconsole_bug_580001_closing_after_completion.js
Comment 1 User image Fabien 2016-04-30 07:38:47 PDT
Created attachment 8747442 [details] [diff] [review]
0001-Bug-1256822-ESLint-Fix-ESLint-issues-in-devtools-cli.patch

Notice linting `error  'promise' is not defined` is not removed in this patch as it should be fixed somehow globally -> this error is present in many places.
Comment 2 User image Lin Clark [:linclark] 2016-05-02 08:00:49 PDT
Good call! We can fix that by putting an .eslintrc in the directory. Look here for an example:

https://dxr.mozilla.org/mozilla-central/source/devtools/client/animationinspector/test/.eslintrc

I created a bug for this, Bug 1269372
Comment 3 User image Lin Clark [:linclark] 2016-05-02 08:03:27 PDT
Comment on attachment 8747442 [details] [diff] [review]
0001-Bug-1256822-ESLint-Fix-ESLint-issues-in-devtools-cli.patch

Review of attachment 8747442 [details] [diff] [review]:
-----------------------------------------------------------------

Looks good to me!

Before we commit this, could you add the reviewer to the commit message? You can find the instructions here: https://developer.mozilla.org/en-US/docs/Tools/Contributing#Creating_a_patch_to_check_in. For this one, you can just add r=linclark
Comment 4 User image Martin Giger [:freaktechnik] 2016-05-02 09:10:40 PDT
The "'promise' is not defined" error would also be fixed with the modification of head.js in bug 1256795 (https://bugzilla.mozilla.org/attachment.cgi?id=8747443&action=diff#a/devtools/client/webconsole/test/head.js_sec2).
Comment 5 User image Tim Nguyen :ntim 2016-05-23 20:38:32 PDT
Bug 1271084 fixed this bug.

Note You need to log in before you can comment on or make changes to this bug.